<ActionBar class="action-bar">
    <!-- 
    Use the NavigationButton as a side-drawer button in Android
    because ActionItems are shown on the right side of the ActionBar
    -->
    <NavigationButton ios:visibility="collapsed" icon="res://menu" (tap)="onDrawerButtonTap()"></NavigationButton>
    <!-- 
    Use the ActionItem for IOS with position set to left. Using the
    NavigationButton as a side-drawer button in iOS is not possible,
    because its function is to always navigate back in the application.
    -->
    <ActionItem icon="res://navigation/menu" android:visibility="collapsed" (tap)="onDrawerButtonTap()" ios.position="left">
    </ActionItem>
    <Label class="action-bar-title" text="Fixture"></Label>
</ActionBar>

<GridLayout class="page page-content" [class.showUp]="loading">
    <GridLayout tkExampleTitle tkToggleNavButton>
        <RadListView [items]="fixtures">
            <ListViewLinearLayout tkListViewLayout scrollDirection="Vertical" itemInsertAnimation="Default" itemDeleteAnimation="Default"></ListViewLinearLayout>
            <!-- <ListViewGridLayout tkListViewLayout scrollDirection="Vertical" ios:itemHeight="200" spanCount="2"></ListViewGridLayout> -->
            <ng-template tkListItemTemplate let-item="item">
                <GridLayout rows="* * * *" columns="*,*,*">
                    <Label row="0" col="0" colSpan="3" [text]="'MATCHDAY ' + item.matchday" class="matchDay"></Label>
                    <Label row="1" col="0" colSpan="3" [text]="(item.date | amLocal | amDateFormat: 'MMMM Do YYYY, h:mm a')" class="matchDate"></Label>
                    <Image class="thumb" row="2" col="0" [src]="'~/images/' + item.homeTeamName + '.png'" width="25" height="25"></Image>
                    <Image class="thumb" row="3" col="0" [src]="'~/images/' + item.awayTeamName + '.png'" width="25" height="25"></Image>
                    <Label row="2" col="1" [text]="item.homeTeamName" class="nameLabel" height="25"></Label>
                    <Label row="3" col="1" [text]="item.awayTeamName" class="typeLabel middleLabel" height="25"></Label>
                    <Label row="2" col="2" [text]="getResult(item.result.goalsHomeTeam)" class="score" textWrap="true"></Label>
                    <Label row="3" col="2" [text]="getResult(item.result.goalsAwayTeam)" class="score" textWrap="true"></Label>
                </GridLayout>
            </ng-template>
        </RadListView>
    </GridLayout>
</GridLayout>
<ActivityIndicator #activityIndicator [busy]="busy" width="100" height="100" class="activity-indicator"></ActivityIndicator>